| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
ExportDissectionDialog Class Reference

A dialog for exporting packet dissections to various file formats. More...

`#include <export_dissection_dialog.h>`

Inheritance diagram for ExportDissectionDialog:

## Public Slots
void | show ()
| Displays the export dissection dialog.

## Public Member Functions
| ExportDissectionDialog (QWidget *parent, capture_file *cap_file, export_type_e export_type, QString selRange=QString())
| Constructs a new ExportDissectionDialog.
| ~ExportDissectionDialog ()
| Destroys the ExportDissectionDialog.
Public Member Functions inherited from WiresharkFileDialog
| WiresharkFileDialog (QWidget *parent=nullptr, const QString &caption=QString(), const QString &directory=QString(), const QString &filter=QString())
| Constructs a Wireshark file dialog.
QString | selectedNativePath () const
| Returns the selected file path in native OS format.

## Protected Member Functions
bool | eventFilter (QObject *obj, QEvent *event) override
| Filters events for the dialog, allowing custom event handling.

## Additional Inherited Members
Static Public Member Functions inherited from WiresharkFileDialog
static QString | getExistingDirectory (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), Options options=ShowDirsOnly)
| Presents a directory chooser dialog and returns the selected path.
static QString | getOpenFileName (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=Q_NULLPTR, Options options=Options())
| Presents an open-file dialog and returns the selected file path.
static QString | getSaveFileName (QWidget *parent=Q_NULLPTR, const QString &caption=QString(), const QString &dir=QString(), const QString &filter=QString(), QString *selectedFilter=Q_NULLPTR, Options options=Options())
| Presents a save-file dialog and returns the chosen file path.

## Detailed Description

A dialog for exporting packet dissections to various file formats.

## Constructor & Destructor Documentation

## ◆ ExportDissectionDialog()

ExportDissectionDialog::ExportDissectionDialog | ( | QWidget * | parent,
|  | capture_file * | cap_file,
|  | export_type_e | export_type,
|  | QString | selRange = QString() )
| explicit

Constructs a new ExportDissectionDialog.

Parameters

  parent | The parent widget.
  cap_file | The capture file containing the packets to export.
  export_type | The initial export format type.
  selRange | The initially selected range of packets (defaults to an empty string).

## Member Function Documentation

## ◆ eventFilter()

bool ExportDissectionDialog::eventFilter | ( | QObject * | obj,
|  | QEvent * | event )
| override protected

Filters events for the dialog, allowing custom event handling.

Parameters

  obj | The object that generated the event.
  event | The event to filter.

Returns
  True if the event was filtered (handled), false otherwise.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/export_dissection_dialog.h
- /builds/wireshark/wireshark/ui/qt/export_dissection_dialog.cpp